shishi_ctime(3)

NAME
shishi_ctime - API function

SYNOPSIS
#include <shishi.h>

int shishi_ctime(Shishi * handle, Shishi_asn1 node, const char * field, time_t * t);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 node
    ASN.1 structure to read field from.

const char * field
    Name of field in node to read.

time_t * t
    Pointer to a C-time valued integer, being updated with the time value to be extracted.

DESCRIPTION
Extracts time information from an ASN.1 structure node, and from an arbitrary element field of that structure.

RETURN VALUE
Returns SHISHI_OK if successful, SHISHI_ASN1_NO_ELEMENT if the element does not exist, SHISHI_ASN1_NO_VALUE if the field has no value. In all other cases, SHISHI_ASN1_ERROR is returned.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.